> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP Types

> List available MCP server types.



## OpenAPI

````yaml /specs/openapi-interactive.json get /api/v1/settings/mcp_type/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/v1/settings/mcp_type/:
    get:
      tags:
        - Session Resources
      summary: List MCP Types
      description: List available MCP server types.
      operationId: v1_settings_mcp_type_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MCPType'
          description: ''
        '401':
          description: Unauthorized - Invalid or missing authentication credentials.
        '403':
          description: Forbidden - You do not have permission to perform this action.
        '404':
          description: Not Found - The requested resource could not be found.
        '500':
          description: Internal Server Error - An unexpected error occurred.
      security:
        - PersoPlatform-APIKey: []
        - {}
components:
  schemas:
    MCPType:
      type: object
      properties:
        mcpserver_id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 100
        url:
          type: string
          format: uri
          maxLength: 200
        description:
          type: string
      required:
        - mcpserver_id
        - name
        - url
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey

````